org.apache.lucene.analysis.compound.hyphenation

## Class TernaryTree.Iterator

- java.lang.Object
- - org.apache.lucene.analysis.compound.hyphenation.TernaryTree.Iterator

- All Implemented Interfaces:
    java.util.Enumeration
  Enclosing class:
    TernaryTree

      public class TernaryTree.Iterator
      extends java.lang.Object
      implements java.util.Enumeration

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Iterator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `char` | `getValue()`
    `boolean` | `hasMoreElements()`
    `java.lang.Object` | `nextElement()`
    `void` | `rewind()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Iterator

          public Iterator()

  - ### Method Detail

    - #### rewind

          public void rewind()

    - #### nextElement

          public java.lang.Object nextElement()

      Specified by:
        `nextElement` in interface `java.util.Enumeration`

    - #### getValue

          public char getValue()

    - #### hasMoreElements

          public boolean hasMoreElements()

      Specified by:
        `hasMoreElements` in interface `java.util.Enumeration`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.